=== debian/control ===
Source: unarr
Priority: optional
Maintainer: Felix Kauselmann <licorn@gmail.com>
Build-Depends: debhelper (>= 9), cmake, zlib1g-dev, libbz2-dev, liblzma-dev
Standards-Version: 4.1.0
Section: libs
Homepage: https://github.com/selmf/unarr

Package: libunarr-dev
Section: libdevel
Architecture: any
Depends: libunarr1 (= ${binary:Version}), ${misc:Depends}
Description: A decompression library for rar, tar, zip and 7zip files. Development version.

Package: libunarr1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libunarr
Breaks: libunarr
Description: A decompression library for rar, tar, zip and 7zip files.
