## unarr 1.1.1

=== debian/changelog ===
unarr (1.1.1-0.1~mx25) mx; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 20 Nov 2025 10:02:48 -0800

unarr (1.0.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Move Alec Leamas from Uploaders to Maintainers.
    OpenCPN is no longer maintained within the GIS team.
  * Add Build-Depends-Package field to symbols file.
  * Bump Standards-Version to 4.6.1, no changes.
  * Remove package name from lintian overrides.
  * Update gbp.conf to use --source-only-changes by default.
  * Drop Name field from upstream metadata.
  * Bump debhelper compat to 12, changes:
    - Drop --parallel option, enabled by default
  * Bump watch file version to 4.
  * Update lintian overrides.
  * Update watch file for GitHub URL changes.
  * Add Rules-Requires-Root to control file.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Dec 2022 22:16:04 +0100

unarr (1.0.1-1) unstable; urgency=medium

  [ Alec Leamas ]
  * Move to use fork at https://github.com/selmf/unarr
  * Handle regular releases at new upstream
  * Drop all patches besides a spelling error.

  [ Bas Couwenberg ]
  * Update watch file to handle common issues.
  * Update upstream metadata for new upstream.
  * Update symbols version to reflect new upstream releases.

 -- Alec Leamas <leamas.alec@gmail.com>  Mon, 01 Oct 2018 01:23:17 -0400

unarr (0~20150801.d1be8c4-1) unstable; urgency=medium

  * Initial release (Closes: #907070)

 -- Alec Leamas <leamas.alec@gmail.com>  Sun, 02 Sep 2018 00:44:03 -0400
