=== debian/control ===
Source: unarr
Maintainer: Alec Leamas <leamas.alec@gmail.com>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 12), cmake, libbz2-dev, zlib1g-dev
Standards-Version: 4.6.1
Homepage: https://github.com/selmf/unarr
Rules-Requires-Root: no

Package: libunarr-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libunarr1 (= ${binary:Version}), ${misc:Depends}
Description: Decompression library for RAR, TAR, ZIP and 7z archives (devel)
 unarr originated as a port of the RAR extraction features from
 The Unarchiver project required for extracting images from comic
 book archives (.cbr). It was written as an alternative to
 libarchive which didn't have support for parsing filters or solid
 compression at the time.
 .
 This package contains development tools: headers and unversioned libraries.

Package: libunarr1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Decompression library for RAR, TAR, ZIP and 7z archives (runtime)
 unarr originated as a port of the RAR extraction features from
 The Unarchiver project required for extracting images from comic
 book archives (.cbr). It was written as an alternative to
 libarchive which didn't have support for parsing filters or solid
 compression at the time.
 .
 This package holds the runtime library.
